> ## Documentation Index
> Fetch the complete documentation index at: https://portfolio.subinb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update patient's prescription

> Updates a patient's existing prescription.



## OpenAPI

````yaml PUT /prescriptions
openapi: 3.0.0
info:
  title: Subin Health API
  description: >

    # Overview

    Subin Health API lets you manage patient data, prescriptions, and inventory.
    You can view, edit, delete patient profiles, history, visits, and medical
    records. You can also track the medicine inventory based on new
    prescriptions. <br>This API is REST-based and is documented in OpenAPI
    format. <br><br>    Base URL for all requests:
    `https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0`.

    # Authentication

    Subin Health API uses API Key authentication. Click `Authorize` and enter a
    string to generate a new API key.

    # Use Case

    ## Prescription and Invoicing

    You can use Subin Health API to generate prescription after a doctor's
    consultation and invoice for payment. The endpoints related to inventory
    check the real-time availability of medicines in your inventory. With the
    help of historic data from prescriptions, you can proactively restock
    medicines that are in demand. <br> <br> The following diagram outlines the
    process flow: <br> ![Flow
    diagram](https://raw.githubusercontent.com/subin23k/apidocs/main/flow_diagram.png
    "Flow diagram") <br> When the flow is complete, the system automatically
    updates the patient's history.
  version: 1.0.0
servers:
  - url: https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0
    description: Subin Health API
security:
  - api_key: []
tags:
  - name: Patient
    description: Manage patient data
  - name: History
    description: Manage patient's history
  - name: Prescriptions
    description: Manage prescriptions
  - name: Inventory
    description: Manage inventory
  - name: Invoice
    description: Manage invoices
paths:
  /prescriptions:
    put:
      tags:
        - Prescriptions
      summary: Update patient's prescription
      description: Updates a patient's existing prescription.
      operationId: updatePrescription
      requestBody:
        $ref: '#/components/requestBodies/Prescription'
      responses:
        '200':
          description: Successful operation
        '400':
          description: Invalid prescription ID
        '404':
          description: Prescription not found
        '405':
          description: Validation exception
components:
  requestBodies:
    Prescription:
      description: Object that contains prescription data
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Prescription'
        application/xml:
          schema:
            $ref: '#/components/schemas/Prescription'
      required: true
  schemas:
    Prescription:
      description: Details of a medical prescription assigned to a patient.
      required:
        - isAvailable
        - medicine
        - patientId
      type: object
      properties:
        patientId:
          type: integer
          description: Unique identifier for the patient.
          format: int64
          example: 234796
        medicine:
          type: string
          description: Name of the prescribed medicine.
          example: Dolo 650
        dosage:
          type: string
          description: Prescribed dosage of the medicine.
          example: 650 mg
        isRegular:
          type: boolean
          description: >-
            Indicates whether the prescription involves a recurring
            subscription.
        isAvailable:
          type: boolean
          description: >-
            Indicates whether the medicine is currently available in the
            inventory.
        price:
          type: integer
          description: Unit price or total price of the prescribed medicine.
          example: 1000
        currency:
          type: string
          description: Currency code for the medicine's price.
          example: INR
      xml:
        name: Prescription
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: header

````